{% extends "app/base_site.html" %}

{% block title %} Detalles de menú {% endblock %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Menú: {{ menu.menu_id }}</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="content">
                            <div class="row">
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Identificador:</label>
                                    {{ menu.menu_id }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Tienda:</label>
                                    {{ menu.store.name }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">RUC - Número de
                                        establecimiento:</label>
                                    {{ menu.store.integrationId }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Agregador:</label>
                                    {{ menu.aggregator.name }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Creado:</label>
                                    {{ menu.created_at|date:"d/m/Y h:i:s a" }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Última
                                        actualización:</label>
                                    {{ menu.updated_at|date:"d/m/Y h:i:s a" }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Estado en
                                        producción:</label>
                                    <div id="menu-status-production"></div>
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Estado en
                                        desarrollo:</label>
                                    <div id="menu-status-develop"></div>
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Enviado a
                                        producción:</label>
                                    {% if menu.sent_production %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Enviado">
                                            <i class="fa fa-chevron-circle-down green"></i>
                                        </div>
                                    {% else %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="No enviado">
                                            <i class="fa fa-chevron-circle-down red"></i>
                                        </div>
                                    {% endif %}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Enviado a
                                        desarrollo:</label>
                                    {% if menu.sent_develop %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Enviado">
                                            <i class="fa fa-chevron-circle-down green"></i>
                                        </div>
                                    {% else %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="No enviado">
                                            <i class="fa fa-chevron-circle-down red"></i>
                                        </div>
                                    {% endif %}
                                </div>
                                <br/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block script %}
    <script>
        $(document).ready(function () {
            $.ajax({
                url: '{% url "menu:menu-status" menu.aggregator.name menu.store.integrationId menu.menu_id %}',
                type: 'GET',
                data: {},
                success: function (json) {
                    console.log(json);
                    //var json_response = JSON.parse(json)
                    document.getElementById('menu-status-production').innerHTML = json.status;
                },
                error: function (xhr, status, error) {
                    var json_error = JSON.parse(xhr.responseText);
                    console.log(json_error);
                    toastr[json_error.code](json_error.message, json_error.title);
                }
            });

            $.ajax({
                url: '{% url "menu:menu-status" menu.aggregator.name menu.store.integrationId menu.menu_id %}?develop=True',
                type: 'GET',
                data: {},
                success: function (json) {
                    console.log(json);
                    //var json_response = JSON.parse(json)
                    document.getElementById('menu-status-develop').innerHTML = json.status;
                },
                error: function (xhr, status, error) {
                    var json_error = JSON.parse(xhr.responseText);
                    console.log(json_error);
                    toastr[json_error.code](json_error.message, json_error.title);
                }
            });
        });
    </script>
{% endblock script %}
